Bug 189813 - Extend RHAT Bugzilla to Upstream Projects
Extend RHAT Bugzilla to Upstream Projects
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
Kevin Baker
: FutureFeature
Depends On: 452962
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 16:31 EDT by Andy Green
Modified: 2014-12-01 18:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 02:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 123130 None None None Never

  None (edit)
Description Andy Green 2006-04-24 16:31:22 EDT
On fedora-devel there is a subthread

https://www.redhat.com/archives/fedora-devel-list/2006-April/msg01222.html

where someone takes exception to being told to take their bug report upstream
instead of delivering it into Fedora.  Despite the reality of Fedora not
'owning' most of the projects inside it, many users do feel that they have the
relationship with the distro and not with all the projects that make it up. 
When they are told to take the bug report elsewhere they can feel, despite the
technical and practical reasons for doing it, that they are being fobbed off,
rejected by Fedora, not listened to, etc.  In turn the Fedora devs might feel
too much is expected of them to solve complex problems deep in a subproject they
never saw before, etc.

Perhaps users in this position can be helped out by instead entering their bug
into the RHAT Bugzilla, where some new process or interconnection between
Bugzillas allows the responsible persons at the subproject to become notified of
it, cc'd on it automatically or otherwise enabled to be part of the bug report
action as transparently as easily as possible.  The user feels he reports to
Fedora under the aegis of Redhat, the interested Fedora devs are aware of and
have captured the issue and how it is mitigated, and the new thing is that
somehow the 'upstream' can be brought directly to the bugzilla table and be
offered and encouraged to use these bug reports directly as a kind of outsourced
bug roundtable where everybody is motivated to help fixes along.

Maybe since SuSE or whoever can be in the same position the ideal solution
involves bug reports that are shared between multiple Bugzillas somehow, and
instead of being asked to participate in some fractured set of bugzillas the
upstream projects instead get shown one site with one login, even if that is
faked up by their having multiple accounts with the same password at each
vendor, etc.  They in turn can use this metabugzilla to track their own bugs.
Comment 1 Rex Dieter 2006-04-24 16:47:02 EDT
IMO, it's OK to file the bug(s) in *both* places, and mention upstream reports
in comments here or add a link to it in the "External Bugzilla References" section.

Either way, I doubt this can truly be considerred a bug in bugzilla (as it is
currently submitted).
Comment 2 Andy Green 2006-04-24 16:58:12 EDT
I couldn't find how to mark it as an RFE, which is what it actually is.

> IMO, it's OK to file the bug(s) in *both* places, and mention upstream reports
> in comments here or add a link to it in the "External Bugzilla References" 
> section.

Yes it is OK.  Just filing upstream is okay, but that is not the problem being
addressed by the suggestion, which involves user perception of abandonment and
shoulder-shrugging by Fedora.  The concept is to allow the user to feel that he
still reports inside the Fedora distro, while binding upstream to the report in
a single action somehow.

Maybe to turn it around another way, when filing a bug you select the package
first, and you are redirected right then to a Bugzilla -- which may be a slice
of the RHAT one -- most appropriate for that project.  So in that concept all
kernel-related bugs go on the kernel.org Bugzilla, tagged as coming from Fedora.
 The Fedora responsibles are assigned and cc'd as before.  Likewise if SuSE have
the same system then SuSE-user kernel bugs come to the same place, in front of
the kernel devs.  It would cause politcal problems from issues coming out of
vendor patches, but if Bugzilla allowed to filter on bug report source people
who hated that could just not see those reports.
Comment 3 Tom Tromey 2006-04-24 21:22:11 EDT
One thing that would convenient is to have a "report upstream" button,
to automatically create a bug report in the upstream bugzilla that mirrors
the fedora bug.  Ideally this would set things up so that upstream changes
are noted in the fedora bugzilla.
Comment 4 Andy Green 2006-04-25 02:09:36 EDT
Sounds like a great solution.  Being able to connect the bug to the upstream
Bugzilla -- if there is one -- manually would avoid burdening the up upstream
folks with distro-specific problem noise.
Comment 5 Matt Davey 2006-04-25 04:30:05 EDT
Ubuntu bugzilla already seems to grok bugzilla.gnome.org.  I don't think b.g.o
knows anything about ubuntu, but the logic is sufficient for a downstream bug to
be able to report the current status of the connected upstream bug.

See, for example:
https://launchpad.net/distros/ubuntu/+source/gnome-pilot/+bug/25653
Comment 7 Juha Tuomala 2009-04-23 07:28:34 EDT
(In reply to comment #3)
> One thing that would convenient is to have a "report upstream" button,
> to automatically create a bug report in the upstream bugzilla that mirrors
> the fedora bug.  Ideally this would set things up so that upstream changes
> are noted in the fedora bugzilla.

Especially when in most cases that would appear to be DUPLICATE, the
upstream should be able to somehow signal the bug id change back to
downstream so that the referring bug id would be updated.
Comment 8 Juha Tuomala 2009-04-23 07:30:32 EDT
related bug 452962
Comment 9 Matěj Cepl 2009-06-03 05:06:28 EDT
Adding upstream bug reference.
Comment 11 Matěj Cepl 2011-05-28 17:29:03 EDT
(In reply to comment #3)
> One thing that would convenient is to have a "report upstream" button,
> to automatically create a bug report in the upstream bugzilla that mirrors
> the fedora bug.  Ideally this would set things up so that upstream changes
> are noted in the fedora bugzilla.

Primitive version of this (just prefills upstream enter_bug.cgi form with the content of the current bug) is already implemented in bugzilla-triage-scripts (https://fedorahosted.org/bugzilla-triage-scripts/) for further details ask me (mcepl on Freenode).
Comment 12 Jeff Fearn 2012-05-30 00:43:58 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 13 Jeff Fearn 2012-05-30 00:44:31 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 14 Jeff Fearn 2012-06-21 02:54:22 EDT
Closing inactive bugs are part of Bugzilla cleanup.

Note You need to log in before you can comment on or make changes to this bug.